import service from '@/utils/request'
// 上传日常文件
export const createDailyFile = (data) => {
  return service({
    url: '/finance/createDailyFile',
    method: 'post',
    data
  })
}
// 查询日常文件列表
export const queryDailyFileList = (data) => {
  return service({
    url: '/finance/queryDailyFileList',
    method: 'post',
    data
  })
}

// 删除日常文件
export const deleteDailyFile = (data) => {
  return service({
    url: '/finance/deleteDailyFile',
    method: 'delete',
    data
  })
}

// 文件下载
export const fileDownload = (data) => {
  return service({
    url: '/file/fileDownload?name=' + data.name + '&path=' + data.path,
    method: 'get',
    responseType: 'blob'
  })
}
